Alert Configurations - Update

Update an alert configuration.

PATCH https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleManagementAlertConfigurations/{alertId}?api-version=2022-08-01-preview

URI Parameters

Name In Required Type Description
alertId
path True

string

The name of the alert configuration to get.

scope
path True

string

The fully qualified Azure Resource manager identifier of the resource.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties AlertConfigurationProperties:

Alert configuration properties.

Responses

Name Type Description
204 No Content

Operation completed successfully.

Other Status Codes

Microsoft.Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

UpdateAlertConfiguration

Sample request

PATCH https://management.azure.com/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlertConfigurations/TooManyOwnersAssignedToResource?api-version=2022-08-01-preview

{
  "properties": {
    "alertConfigurationType": "TooManyOwnersAssignedToResourceAlertConfiguration",
    "isEnabled": true,
    "thresholdNumberOfOwners": 2
  }
}

Sample response

Definitions

Name Description
AlertConfiguration

Alert configuration.

AlertDefinition

Alert definition

AzureRolesAssignedOutsidePimAlertConfigurationProperties

The Azure roles assigned outside PIM alert configuration properties.

createdByType

The type of identity that created the resource.

DuplicateRoleCreatedAlertConfigurationProperties

The duplicate role created alert configuration.

Microsoft.Common.CloudError

An error response from the service.

Microsoft.Common.CloudErrorBody

An error response from the service.

SeverityLevel

Severity level of the alert.

systemData

Metadata pertaining to creation and last modification of the resource.

TooManyOwnersAssignedToResourceAlertConfigurationProperties

Too many owners assigned to resource alert configuration properties.

TooManyPermanentOwnersAssignedToResourceAlertConfigurationProperties

Too many permanent owners assigned to resource alert configuration properties.

AlertConfiguration

Alert configuration.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties AlertConfigurationProperties:

Alert configuration properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AlertDefinition

Alert definition

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties.description

string

The alert description.

properties.displayName

string

The alert display name.

properties.howToPrevent

string

The ways to prevent the alert.

properties.isConfigurable

boolean

True if the alert configuration can be configured; false, otherwise.

properties.isRemediatable

boolean

True if the alert can be remediated; false, otherwise.

properties.mitigationSteps

string

The methods to mitigate the alert.

properties.scope

string

The alert scope.

properties.securityImpact

string

Security impact of the alert.

properties.severityLevel

SeverityLevel

Severity level of the alert.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AzureRolesAssignedOutsidePimAlertConfigurationProperties

The Azure roles assigned outside PIM alert configuration properties.

Name Type Description
alertConfigurationType string:

AzureRolesAssignedOutsidePimAlertConfiguration

The alert configuration type.

alertDefinition

AlertDefinition

The alert definition.

alertDefinitionId

string

The alert definition ID.

isEnabled

boolean

True if the alert is enabled, false will disable the scanning for the specific alert.

scope

string

The alert scope.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DuplicateRoleCreatedAlertConfigurationProperties

The duplicate role created alert configuration.

Name Type Description
alertConfigurationType string:

DuplicateRoleCreatedAlertConfiguration

The alert configuration type.

alertDefinition

AlertDefinition

The alert definition.

alertDefinitionId

string

The alert definition ID.

isEnabled

boolean

True if the alert is enabled, false will disable the scanning for the specific alert.

scope

string

The alert scope.

Microsoft.Common.CloudError

An error response from the service.

Name Type Description
error

Microsoft.Common.CloudErrorBody

An error response from the service.

Microsoft.Common.CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

message

string

A message describing the error, intended to be suitable for display in a user interface.

SeverityLevel

Severity level of the alert.

Value Description
Low

Low

Medium

Medium

High

High

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TooManyOwnersAssignedToResourceAlertConfigurationProperties

Too many owners assigned to resource alert configuration properties.

Name Type Description
alertConfigurationType string:

TooManyOwnersAssignedToResourceAlertConfiguration

The alert configuration type.

alertDefinition

AlertDefinition

The alert definition.

alertDefinitionId

string

The alert definition ID.

isEnabled

boolean

True if the alert is enabled, false will disable the scanning for the specific alert.

scope

string

The alert scope.

thresholdNumberOfOwners

integer (int32)

The threshold number of owners.

thresholdPercentageOfOwnersOutOfAllRoleMembers

integer (int32)

The threshold percentage of owners out of all role members.

TooManyPermanentOwnersAssignedToResourceAlertConfigurationProperties

Too many permanent owners assigned to resource alert configuration properties.

Name Type Description
alertConfigurationType string:

TooManyPermanentOwnersAssignedToResourceAlertConfiguration

The alert configuration type.

alertDefinition

AlertDefinition

The alert definition.

alertDefinitionId

string

The alert definition ID.

isEnabled

boolean

True if the alert is enabled, false will disable the scanning for the specific alert.

scope

string

The alert scope.

thresholdNumberOfPermanentOwners

integer (int32)

The threshold number of permanent owners.

thresholdPercentageOfPermanentOwnersOutOfAllOwners

integer (int32)

The threshold percentage of permanent owners out of all owners.